package com.gyee.edge.gateway.client;

import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 客户端管理，状态检查等
 * 批量的客户端管理任务，比如刷新连接状态，检查客户端连接是否正常，发送心跳信号，批量连接，断开，重连等
 *
 */
@Component
public class ClientManager {

    private List<IClient> clientList;

    public List<IClient> getClientList() {
        return clientList;
    }

    public void addClient(IClient iClient) {
        clientList.add(iClient);
    }

    public void removeClient(IClient iClient) {
        clientList.remove(iClient);
    }





}
